Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasPolygon Class Reference

The QCanvasPolygon class provides a polygon on a QCanvas. More...

    #include <QCanvasPolygon>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QCanvasPolygonalItem.

Inherited by QCanvasSpline.

- List of all members, including inherited members

### Public Functions

- QCanvasPolygon ( QCanvas * canvas )
- ~QCanvasPolygon ()
- virtual QPointArray areaPoints () const
- QPointArray points () const
- virtual int rtti () const
- void setPoints ( QPointArray pa )

- 8 public functions inherited from QCanvasPolygonalItem
- 38 public functions inherited from QCanvasItem

### Protected Functions

- virtual void drawShape ( QPainter & p )

- 6 protected functions inherited from QCanvasPolygonalItem
- 1 protected function inherited from QCanvasItem

## Detailed Description

The QCanvasPolygon class provides a polygon on a QCanvas.

Paints a polygon with a QBrush. The polygon's points can be set in the constructor or set or changed later using setPoints(). Use points() to retrieve the points, or areaPoints() to retrieve the points relative to the canvas's origin.

The polygon can be drawn on a painter with drawShape().

Like any other canvas item polygons can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

Note: QCanvasPolygon does not use the pen.

## Member Function Documentation

### QCanvasPolygon::QCanvasPolygon ( QCanvas * canvas )

Constructs a point-less polygon on the canvas canvas. You should call setPoints() before using it further.

### QCanvasPolygon::~QCanvasPolygon ()

Destroys the polygon.

### QPointArray QCanvasPolygon::areaPoints () const `[virtual]`

Returns the vertices of the polygon translated by the polygon's current x(), y() position, i.e. relative to the canvas's origin.

Reimplemented from QCanvasPolygonalItem.

See also setPoints() and points().

### void QCanvasPolygon::drawShape ( QPainter & p ) `[virtual protected]`

Draws the polygon using the painter p.

Note that QCanvasPolygon does not support an outline (the pen is always Qt::NoPen).

Reimplemented from QCanvasPolygonalItem.

### QPointArray QCanvasPolygon::points () const

Returns the vertices of the polygon, not translated by the position.

See also setPoints() and areaPoints().

### int QCanvasPolygon::rtti () const `[virtual]`

Returns 4 (QCanvasItem::Rtti_Polygon).

Reimplemented from QCanvasItem.

See also QCanvasItem::rtti().

### void QCanvasPolygon::setPoints ( QPointArray pa )

Sets the points of the polygon to be pa. These points will have their x and y coordinates automatically translated by x(), y() as the polygon is moved.